<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>ClassificationHeuristic (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClassificationHeuristic (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.converter.heuristics.classification</a></div>
<h2 title="Interface ClassificationHeuristic" class="title">Interface ClassificationHeuristic</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="ArxivClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">ArxivClassificationHeuristic</a></code>, <code><a href="BLExtendedClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">BLExtendedClassificationHeuristic</a></code>, <code><a href="BLStrictClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">BLStrictClassificationHeuristic</a></code>, <code><a href="PlosOneAbstractClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">PlosOneAbstractClassificationHeuristic</a></code>, <code><a href="PlosOneCBIncludingClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">PlosOneCBIncludingClassificationHeuristic</a></code>, <code><a href="PlosOneStrictClassificationHeuristic.html" title="class in bous.philipp.dblp.datatools.converter.heuristics.classification">PlosOneStrictClassificationHeuristic</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">ClassificationHeuristic</span></pre>
<div class="block">Interface meant to provide some heuristics for classifying given <a href="../../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel"><code>RecordDocument</code></a>s
 in the process of ingesting them into a database.
 Implementing classes will usually differ, depending on the source of the record-document.
 The heuristic consists of 2 parts: deciding if a record-document is useful at all and
 guessing a class for a record-document. Both parts could be used seperately but are mainly intended
 to be used together.
 More precisely this interface is meant to allow injection of custom behaviour into
 the ingestion process in <a href="../../ArchiveToDataBaseConverter.html#xmlTarArchiveToDataBase(java.sql.Connection,java.lang.String,java.lang.String,java.lang.String,int,int,int,bous.philipp.dblp.datatools.converter.xmlchecks.raw.RawXmlCheck,bous.philipp.dblp.datatools.converter.heuristics.classification.ClassificationHeuristic,bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.RecordFactory)"><code>ArchiveToDataBaseConverter.xmlTarArchiveToDataBase(Connection, String, String, String, int, int, int, RawXmlCheck, ClassificationHeuristic, RecordFactory)</code></a>.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../ArchiveToDataBaseConverter.html#xmlTarArchiveToDataBase(java.sql.Connection,java.lang.String,java.lang.String,java.lang.String,int,int,int,bous.philipp.dblp.datatools.converter.xmlchecks.raw.RawXmlCheck,bous.philipp.dblp.datatools.converter.heuristics.classification.ClassificationHeuristic,bous.philipp.dblp.datatools.datamodel.records.archetypes.factory.RecordFactory)"><code>ArchiveToDataBaseConverter.xmlTarArchiveToDataBase(Connection, String, String, String, int, int, int, RawXmlCheck, ClassificationHeuristic, RecordFactory)</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#guessClass(bous.philipp.dblp.datatools.datamodel.RecordDocument)">guessClass</a></span>&#8203;(<a href="../../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&nbsp;record)</code></th>
<td class="colLast">
<div class="block">Guesses the class of a given record based on some heuristic</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isUseful(bous.philipp.dblp.datatools.datamodel.RecordDocument)">isUseful</a></span>&#8203;(<a href="../../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&nbsp;record)</code></th>
<td class="colLast">
<div class="block">Tests if a given record is useful to be taken into the database.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="guessClass(bous.philipp.dblp.datatools.datamodel.RecordDocument)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>guessClass</h4>
<pre class="methodSignature">int&nbsp;guessClass&#8203;(<a href="../../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&nbsp;record)</pre>
<div class="block">Guesses the class of a given record based on some heuristic</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>record</code> - the record to be classified</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>-1 for non CS, 0 for unknown, 1 for CS</dd>
</dl>
</li>
</ul>
<a id="isUseful(bous.philipp.dblp.datatools.datamodel.RecordDocument)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isUseful</h4>
<pre class="methodSignature">boolean&nbsp;isUseful&#8203;(<a href="../../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&nbsp;record)</pre>
<div class="block">Tests if a given record is useful to be taken into the database.
 Can be used to filter records that are noise.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>record</code> - some record</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the record is useful, false if not</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
